Subject: Re: bug#45828: guix build: error: got unexpected path `Backtrace:' from substituter

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 14 Jan 2021 10:09:41 +0100

Hey Ludo,

>   1. Losing a connection to the daemon Does Not Happen™ in normal
>      conditions.  Namely, upon ‘herd restart guix-daemon’, ‘guix
>      publish’ is automatically restarted.  One situation where ‘guix
>      publish’ is not restarted is if one does “killall guix-daemon” or
>      similar.  (Perhaps that’s something to fix in the Shepherd?)

Thanks for explaining. That's probably what caused the issue, as I
killed a bunch of guix-daemon forked processes that I suspected to be
deadlocked.

Maybe the Shepherd should indeed kill the whole process group and
restart the service and its dependencies when the "guix-daemon" process
or one of its child is killed.

Thanks,

Mathieu